{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Add Content</title>
{% endblock meta %}

{% block content %}
<body>
  {%if request.user.is_superuser or request.user.is_pengajar %}
  <h3 class="header">Add Content</h3>
  <form id="form" action="add_content.html" method="POST">
    {% csrf_token %}
    {{form.as_p}}
    <button type="submit" class="btn green">Submit</button>
  </form>
  {%else%}
  <h2>You are not authorized</h2>
  {%endif%}

  <script src="https://code.jquery.com/jquery-3.5.0.min.js"
    integrity="sha256-xNzN2a4ltkB44Mc/Jz3pT4iU1cmeR0FkXs4pru/JxaQ="
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>
  <script>
    const form = document.getElementById('form');
    form.addEventListener("submit", submitHandler);   
    var url = window.location.toString();

    function submitHandler(e) {
      e.preventDefault();
      $.ajax({
          type: 'POST',
          url: url,
          data: $('#form').serialize(),
          dataType: 'json',
          success: function(data) {
            if (data.message === 'success') {
              alert('Succesfully added!');
              form.reset()
            } else {
              alert("Adding content failed.");
            }
          }
      })
    }

  </script>
</body>
{% endblock content %}